  <!-- Navigation -->
  <nav class="navbar navbar-expand-lg navbar-dark bg-dark static-top">
    <div class="container">
      <a class="navbar-brand" href="/">OBScontrole</a>
      <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarResponsive" aria-controls="navbarResponsive" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
      </button>
      <div class="collapse navbar-collapse" id="navbarResponsive">
        <ul class="navbar-nav ml-auto">
          <li class="nav-item">
            <a class="nav-link" href="/verification">Verification</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" href="/maintenance">Maintenance</a>
          </li>
        </ul>
      </div>
    </div>
  </nav>



 <!-- Page Content -->
<section style="background: transparent !important" class="mb-0 jumbotron text-center">
  <div class="container">
        <h1 class="jumbotron-heading">Verification et Tests</h1>

  <p class="lead text-muted">
	Section dédié aux tests, paramétrages et récupérations des données venant de l'OBS
 </p>
  </div>
</section>

<div class="album py-5 bg-light">
	<div class="container">
		<!-- <div class="row"> -->		
		
		<form id="form_param" class="needs-validation text-center border border-light p-5" action="/verification" method="post" novalidate>

          <p class="h4 mb-4">Paramétrage de l'OBS</p>

          <div class="form-row mb-4">
            <div class="col">
              <!-- Descript -->
              <input type="text" id="defaultRegisterFormFirstName" class="form-control" placeholder="Description" name="description" required>
            </div>
            <div class="col">
              <!-- Last name -->
				<select name="strap" class="browser-default custom-select" required>
					<option value="" disabled selected>Position strap (kHz)</option>
					<option value="0">512</option>
					<option value="1">819</option>
					<option value="2">1024</option>
					<option value="3">1638</option>
				</select>
				
              <!-- <input type="text" id="defaultRegisterFormLastName" class="form-control" placeholder="Position Strap"> -->
			  
            </div>
          </div>

			<!-- E-mail 
			<input name="echantillon" type="text" id="defaultRegisterFormEmail" class="form-control mb-4" placeholder="Sample rate" value=125> -->
			<div class="form-row mb-4">
			<div class="col">
				<select name="echantillon" class="browser-default custom-select" required>
					<option value="" disabled selected>Frequence d'échantillonage (Hz)</option>
				<!--	<option value="0"></option>
					<option value="1"></option>
					<option value="2"></option>
					<option value="3"></option>
					<option value="4"></option>
		-->		</select>
				
			</div>
          <!-- Password -->
		<div class="col">
		  <select id="changement" name="channels" class="browser-default custom-select" required>
					<option value="" disabled selected>Nombre de channels </option>
					<option value="0">1</option>
					<option value="1">2</option>
					<option value="2">3</option>
					<option value="3">4</option>
				</select>
			</div>	
			</div>
          <small id="defaultRegisterFormPasswordHelpBlock" class="form-text text-muted mb-4">
            Chaque channel nécéssiera son propre gain
          </small>		 
	     <div id="dynamic" class="form-row mb-4">
		 
		</div>

		<div>			
          <!-- <input type="password" id="defaultRegisterFormPassword" class="form-control" placeholder="Nombre de channels" aria-describedby="defaultRegisterFormPasswordHelpBlock"> -->




          <!-- Phone number 
          <input type="text" id="defaultRegisterPhonePassword" class="form-control" placeholder="Option 5" aria-describedby="defaultRegisterFormPhoneHelpBlock">
          <small id="defaultRegisterFormPhoneHelpBlock" class="form-text text-muted mb-4">
            Optionnel
          </small>
-->
			  <select name="type" class="browser-default custom-select" required>
					<option value="" disabled selected>Type OBS </option>
					<option value="BBOBS">BBOBS</option>
					<option value="OBS">OBS</option>
				</select>
				
          <!-- Newsletter -->
          <div class="custom-control custom-checkbox">
            <input name="compress" type="checkbox" class="custom-control-input" id="defaultRegisterFormNewsletter">
            <label class="custom-control-label" for="defaultRegisterFormNewsletter">Activer compression</label>
          </div>

          <!-- Sign up button -->
          <input class="btn btn-info my-4 btn-block waves-effect waves-light" type="submit">Paramétrer</button>

          <!-- Social register -->
          
          <hr>

          <!-- Terms of service -->
          <p>Attention au paramétrage de
            <em>machin</em> 
            

        </p></form>
		
 <!--
			<div class="col-md-4">
				<div class="card mb-4 box-shadow">
					<img class="card-img-top" data-src="holder.js/100px225?theme=thumb&bg=55595c&fg=eceeef&text=Exemple" alt="thumbnail [100X225]" style="height: 225px; width: 100%; display: block;" src="data:image/svg+xml;charset=UTF-8,%3Csvg%20width%3D%22208%22%20height%3D%22225%22%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%20viewBox%3D%220%200%20208%20225%22%20preserveAspectRatio%3D%22none%22%3E%3Cdefs%3E%3Cstyle%20type%3D%22text%2Fcss%22%3E%23holder_16bfa2e4546%20text%20%7B%20fill%3A%23eceeef%3Bfont-weight%3Abold%3Bfont-family%3AArial%2C%20Helvetica%2C%20Open%20Sans%2C%20sans-serif%2C%20monospace%3Bfont-size%3A11pt%20%7D%20%3C%2Fstyle%3E%3C%2Fdefs%3E%3Cg%20id%3D%22holder_16bfa2e4546%22%3E%3Crect%20width%3D%22208%22%20height%3D%22225%22%20fill%3D%22%2355595c%22%3E%3C%2Frect%3E%3Cg%3E%3Ctext%20x%3D%2265.5%22%20y%3D%22117.3%22%3EThumbnail%3C%2Ftext%3E%3C%2Fg%3E%3C%2Fg%3E%3C%2Fsvg%3E" data-holder-rendered="true">
					<div class="h-20 card-body text-center">
						<p class="card-text"> Varif lecture des capteurs. Je ne sais pas encore ce que je vais mettre ici mais ca sera là"</p>
						<div class="btn-group d-inline-flex justify-content-between align-items-center btn-group">
							<button id="verif_lect_capt" class="verif btn btn-sm btn-outline-secondary" type="button" data-toggle="modal" data-target="#retour_verif">Démarrer</button>
							<button id="vverif_lect_capt" class="btn btn-sm dropdown-toggle px-3 btn-outline-secondary" type="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
							<span class="sr-only"> Toggle Dropdown </span>
							</button>
							<div class="dropdown-menu">
								<div class="input-group">
									<input id="verif_lect_capt-bas" class="seuil dropdown-item" placeholder="Seuil bas">
									<input id="verif_lect_capt-haut" class="seuil dropdown-item" placeholder="Seuil haut">
								</div>
							</div>
						</div>
					</div>
				</div>
				<div class="card mb-4 box-shadow">
					<img class="card-img-top" data-src="holder.js/100px225?theme=thumb&bg=55595c&fg=eceeef&text=Exemple" alt="thumbnail [100X225]" style="height: 225px; width: 100%; display: block;" src="data:image/svg+xml;charset=UTF-8,%3Csvg%20width%3D%22208%22%20height%3D%22225%22%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%20viewBox%3D%220%200%20208%20225%22%20preserveAspectRatio%3D%22none%22%3E%3Cdefs%3E%3Cstyle%20type%3D%22text%2Fcss%22%3E%23holder_16bfa2e4546%20text%20%7B%20fill%3A%23eceeef%3Bfont-weight%3Abold%3Bfont-family%3AArial%2C%20Helvetica%2C%20Open%20Sans%2C%20sans-serif%2C%20monospace%3Bfont-size%3A11pt%20%7D%20%3C%2Fstyle%3E%3C%2Fdefs%3E%3Cg%20id%3D%22holder_16bfa2e4546%22%3E%3Crect%20width%3D%22208%22%20height%3D%22225%22%20fill%3D%22%2355595c%22%3E%3C%2Frect%3E%3Cg%3E%3Ctext%20x%3D%2265.5%22%20y%3D%22117.3%22%3EThumbnail%3C%2Ftext%3E%3C%2Fg%3E%3C%2Fg%3E%3C%2Fsvg%3E" data-holder-rendered="true">
					<div class="h-20 card-body text-center">
						<p class="card-text"> Verif qualité des capteurs. Je ne sais pas encore ce que je vais mettre ici mais ca sera là"</p>
						<div class="d-inline-flex justify-content-between align-items-center btn-group">
							<button id="verif_capt" class="verif btn btn-sm btn-outline-secondary" type="button" data-toggle="modal" data-target="#retour_verif">Démarrer</button>
							<button id="verif_capt" class="btn btn-sm dropdown-toggle px-3 btn-outline-secondary" type="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
							<span class="sr-only"> Toggle Dropdown </span>
							</button>
							<div class="dropdown-menu">
								<div class="input-group">
									<input id="verif_capt-bas" class="seuil dropdown-item" placeholder="Seuil bas">
									<input id="verif_capt-haut" class="seuil dropdown-item" placeholder="Seuil haut">
								</div>
							</div>

						</div>
					</div>
				</div>
				<div class="card mb-4 box-shadow">
					<img class="card-img-top" data-src="holder.js/100px225?theme=thumb&bg=55595c&fg=eceeef&text=Exemple" alt="thumbnail [100X225]" style="height: 225px; width: 100%; display: block;" src="data:image/svg+xml;charset=UTF-8,%3Csvg%20width%3D%22208%22%20height%3D%22225%22%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%20viewBox%3D%220%200%20208%20225%22%20preserveAspectRatio%3D%22none%22%3E%3Cdefs%3E%3Cstyle%20type%3D%22text%2Fcss%22%3E%23holder_16bfa2e4546%20text%20%7B%20fill%3A%23eceeef%3Bfont-weight%3Abold%3Bfont-family%3AArial%2C%20Helvetica%2C%20Open%20Sans%2C%20sans-serif%2C%20monospace%3Bfont-size%3A11pt%20%7D%20%3C%2Fstyle%3E%3C%2Fdefs%3E%3Cg%20id%3D%22holder_16bfa2e4546%22%3E%3Crect%20width%3D%22208%22%20height%3D%22225%22%20fill%3D%22%2355595c%22%3E%3C%2Frect%3E%3Cg%3E%3Ctext%20x%3D%2265.5%22%20y%3D%22117.3%22%3EThumbnail%3C%2Ftext%3E%3C%2Fg%3E%3C%2Fg%3E%3C%2Fsvg%3E" data-holder-rendered="true">
					<div class="h-20 card-body text-center">
						<p class="card-text"> Verif enregistrement des données. Je ne sais pas encore ce que je vais mettre ici mais ca sera là"</p>
						<div class="d-inline-flex justify-content-between align-items-center btn-group">
							<button id="verif_record" class="verif btn btn-sm btn-outline-secondary" type="button" data-toggle="modal" data-target="#retour_verif">Démarrer</button>
							<button id="verif_record" class="btn btn-sm dropdown-toggle px-3 btn-outline-secondary" type="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
							<span class="sr-only"> Toggle Dropdown </span>
							</button>
							<div class="dropdown-menu">
								<div class="input-group">
									<input id="verif_record-bas" class="seuil dropdown-item" placeholder="Seuil bas">
									<input id="verif_record-haut" class="seuil dropdown-item" placeholder="Seuil haut">
								</div>
							</div>

						</div>
					</div>
				</div>
				<div class="card mb-4 box-shadow">
					<img class="card-img-top" data-src="holder.js/100px225?theme=thumb&bg=55595c&fg=eceeef&text=Exemple" alt="thumbnail [100X225]" style="height: 225px; width: 100%; display: block;" src="data:image/svg+xml;charset=UTF-8,%3Csvg%20width%3D%22208%22%20height%3D%22225%22%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%20viewBox%3D%220%200%20208%20225%22%20preserveAspectRatio%3D%22none%22%3E%3Cdefs%3E%3Cstyle%20type%3D%22text%2Fcss%22%3E%23holder_16bfa2e4546%20text%20%7B%20fill%3A%23eceeef%3Bfont-weight%3Abold%3Bfont-family%3AArial%2C%20Helvetica%2C%20Open%20Sans%2C%20sans-serif%2C%20monospace%3Bfont-size%3A11pt%20%7D%20%3C%2Fstyle%3E%3C%2Fdefs%3E%3Cg%20id%3D%22holder_16bfa2e4546%22%3E%3Crect%20width%3D%22208%22%20height%3D%22225%22%20fill%3D%22%2355595c%22%3E%3C%2Frect%3E%3Cg%3E%3Ctext%20x%3D%2265.5%22%20y%3D%22117.3%22%3EThumbnail%3C%2Ftext%3E%3C%2Fg%3E%3C%2Fg%3E%3C%2Fsvg%3E" data-holder-rendered="true">
					<div class="h-20 card-body text-center">
						<p class="card-text"> Verif qualité des données. Je ne sais pas encore ce que je vais mettre ici mais ca sera là"</p>
						<div class="d-inline-flex justify-content-between align-items-center btn-group">
							<button id="verif_data" class="verif btn btn-sm btn-outline-secondary" type="button" data-toggle="modal" data-target="#retour_verif">Démarrer</button>
							<button id="verif_data" class="btn btn-sm dropdown-toggle px-3 btn-outline-secondary" type="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
							<span class="sr-only"> Toggle Dropdown </span>
							</button>
							<div class="dropdown-menu">
								<div class="input-group">
									<input id="verif_data-bas" class="seuil dropdown-item" placeholder="Seuil bas">
									<input id="verif_data-haut" class="seuil dropdown-item" placeholder="Seuil haut">
								</div>
							</div>

						</div>
					</div>
				</div>
				<div class="card mb-4 box-shadow">
					<img class="card-img-top" data-src="holder.js/100px225?theme=thumb&bg=55595c&fg=eceeef&text=Exemple" alt="thumbnail [100X225]" style="height: 225px; width: 100%; display: block;" src="data:image/svg+xml;charset=UTF-8,%3Csvg%20width%3D%22208%22%20height%3D%22225%22%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%20viewBox%3D%220%200%20208%20225%22%20preserveAspectRatio%3D%22none%22%3E%3Cdefs%3E%3Cstyle%20type%3D%22text%2Fcss%22%3E%23holder_16bfa2e4546%20text%20%7B%20fill%3A%23eceeef%3Bfont-weight%3Abold%3Bfont-family%3AArial%2C%20Helvetica%2C%20Open%20Sans%2C%20sans-serif%2C%20monospace%3Bfont-size%3A11pt%20%7D%20%3C%2Fstyle%3E%3C%2Fdefs%3E%3Cg%20id%3D%22holder_16bfa2e4546%22%3E%3Crect%20width%3D%22208%22%20height%3D%22225%22%20fill%3D%22%2355595c%22%3E%3C%2Frect%3E%3Cg%3E%3Ctext%20x%3D%2265.5%22%20y%3D%22117.3%22%3EThumbnail%3C%2Ftext%3E%3C%2Fg%3E%3C%2Fg%3E%3C%2Fsvg%3E" data-holder-rendered="true">
					<div class="h-20 card-body text-center">
						<p class="card-text"> Verif consommations de l'OBS. Je ne sais pas encore ce que je vais mettre ici mais ca sera là"</p>
						<div class="d-inline-flex justify-content-between align-items-center btn-group">
							<button id="verif_conso" class="verif btn btn-sm btn-outline-secondary" type="button" data-toggle="modal" data-target="#retour_verif">Démarrer</button>
							<button id="verif_conso" class="btn btn-sm dropdown-toggle px-3 btn-outline-secondary" type="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
							<span class="sr-only"> Toggle Dropdown </span>
							</button>
							<div class="dropdown-menu">
								<div class="input-group">
									<input id="verif_conso-bas" class="seuil dropdown-item" placeholder="Seuil bas">
									<input id="verif_conso-haut" class="seuil dropdown-item" placeholder="Seuil haut">
								</div>
							</div>
						</div>
					</div>
				</div>
				<div class="card mb-4 box-shadow">
					<img class="card-img-top" data-src="holder.js/100px225?theme=thumb&bg=55595c&fg=eceeef&text=Exemple" alt="thumbnail [100X225]" style="height: 225px; width: 100%; display: block;" src="data:image/svg+xml;charset=UTF-8,%3Csvg%20width%3D%22208%22%20height%3D%22225%22%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%20viewBox%3D%220%200%20208%20225%22%20preserveAspectRatio%3D%22none%22%3E%3Cdefs%3E%3Cstyle%20type%3D%22text%2Fcss%22%3E%23holder_16bfa2e4546%20text%20%7B%20fill%3A%23eceeef%3Bfont-weight%3Abold%3Bfont-family%3AArial%2C%20Helvetica%2C%20Open%20Sans%2C%20sans-serif%2C%20monospace%3Bfont-size%3A11pt%20%7D%20%3C%2Fstyle%3E%3C%2Fdefs%3E%3Cg%20id%3D%22holder_16bfa2e4546%22%3E%3Crect%20width%3D%22208%22%20height%3D%22225%22%20fill%3D%22%2355595c%22%3E%3C%2Frect%3E%3Cg%3E%3Ctext%20x%3D%2265.5%22%20y%3D%22117.3%22%3EThumbnail%3C%2Ftext%3E%3C%2Fg%3E%3C%2Fg%3E%3C%2Fsvg%3E" data-holder-rendered="true">
					<div class="h-20 card-body text-center">
						<p class="card-text"> Verif de l'horloge. Je ne sais pas encore ce que je vais mettre ici mais ca sera là"</p>
						<div class="d-inline-flex justify-content-between align-items-center btn-group">
							<button id="verif_time" class="verif btn btn-sm btn-outline-secondary" type="button" data-toggle="modal" data-target="#retour_verif">Démarrer</button>
							<button id="verif_time" class="btn btn-sm dropdown-toggle px-3 btn-outline-secondary" type="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
							<span class="sr-only"> Toggle Dropdown </span>
							</button>
							<div class="dropdown-menu">
								<div class="input-group">
									<input id="verif_time-bas" class="seuil dropdown-item" placeholder="Seuil bas">
									<input id="verif_time-haut" class="seuil dropdown-item" placeholder="Seuil haut">
								</div>
							</div>
						</div>
					</div>
				</div>
				<div class="card mb-4 box-shadow">
					<img class="card-img-top" data-src="holder.js/100px225?theme=thumb&bg=55595c&fg=eceeef&text=Exemple" alt="thumbnail [100X225]" style="height: 225px; width: 100%; display: block;" src="data:image/svg+xml;charset=UTF-8,%3Csvg%20width%3D%22208%22%20height%3D%22225%22%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%20viewBox%3D%220%200%20208%20225%22%20preserveAspectRatio%3D%22none%22%3E%3Cdefs%3E%3Cstyle%20type%3D%22text%2Fcss%22%3E%23holder_16bfa2e4546%20text%20%7B%20fill%3A%23eceeef%3Bfont-weight%3Abold%3Bfont-family%3AArial%2C%20Helvetica%2C%20Open%20Sans%2C%20sans-serif%2C%20monospace%3Bfont-size%3A11pt%20%7D%20%3C%2Fstyle%3E%3C%2Fdefs%3E%3Cg%20id%3D%22holder_16bfa2e4546%22%3E%3Crect%20width%3D%22208%22%20height%3D%22225%22%20fill%3D%22%2355595c%22%3E%3C%2Frect%3E%3Cg%3E%3Ctext%20x%3D%2265.5%22%20y%3D%22117.3%22%3EThumbnail%3C%2Ftext%3E%3C%2Fg%3E%3C%2Fg%3E%3C%2Fsvg%3E" data-holder-rendered="true">
					<div class="h-20 card-body text-center">
						<p class="card-text"> Verif parametrages. Je ne sais pas encore ce que je vais mettre ici mais ca sera là"</p>
						<div class="d-inline-flex justify-content-between align-items-center btn-group">
							<button id="verif_param" class="verif btn btn-sm btn-outline-secondary" type="button" data-toggle="modal" data-target="#retour_verif">Démarrer</button>
							<button id="verif_param" class="btn btn-sm dropdown-toggle px-3 btn-outline-secondary" type="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
							<span class="sr-only"> Toggle Dropdown </span>
							</button>
							<div class="dropdown-menu">
								<div class="input-group">
									<input id="verif_param-bas" class="seuil dropdown-item" placeholder="Seuil bas">
									<input id="verif_param-haut" class="seuil dropdown-item" placeholder="Seuil haut">
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
			<div class="col-md-4">
				<div class="card mb-4 box-shadow text-center">
					<img class="card-img-top" data-src="holder.js/100px225?theme=thumb&bg=55595c&fg=eceeef&text=Exemple" alt="thumbnail [100X225]" style="height: 225px; width: 100%; display: block;" src="data:image/svg+xml;charset=UTF-8,%3Csvg%20width%3D%22208%22%20height%3D%22225%22%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%20viewBox%3D%220%200%20208%20225%22%20preserveAspectRatio%3D%22none%22%3E%3Cdefs%3E%3Cstyle%20type%3D%22text%2Fcss%22%3E%23holder_16bfa2e4546%20text%20%7B%20fill%3A%23eceeef%3Bfont-weight%3Abold%3Bfont-family%3AArial%2C%20Helvetica%2C%20Open%20Sans%2C%20sans-serif%2C%20monospace%3Bfont-size%3A11pt%20%7D%20%3C%2Fstyle%3E%3C%2Fdefs%3E%3Cg%20id%3D%22holder_16bfa2e4546%22%3E%3Crect%20width%3D%22208%22%20height%3D%22225%22%20fill%3D%22%2355595c%22%3E%3C%2Frect%3E%3Cg%3E%3Ctext%20x%3D%2265.5%22%20y%3D%22117.3%22%3EThumbnail%3C%2Ftext%3E%3C%2Fg%3E%3C%2Fg%3E%3C%2Fsvg%3E" data-holder-rendered="true">
					<div class="h-20 card-body">
						<p class="card-text"> Datage du système. Je ne sais pas encore ce que je vais mettre ici mais ca sera là"</p>
						<div class="d-inline-flex justify-content-between align-items-center btn-group">
							<button id="param_time" class="verif btn btn-sm btn-outline-secondary" type="button" data-toggle="modal" data-target="#retour_verif">Démarrer</button>
							<!-- <button id="pparam_time" class="btn btn-sm dropdown-toggle px-3 btn-outline-secondary" type="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
							<span class="sr-only"> Toggle Dropdown </span>
							</button>
							<div class="dropdown-menu">
								<div class="input-group">
									<input id="param_time-param" class="seuil dropdown-item" placeholder="DD/MM/YY">
								</div>
							</div> -->
							<!--
						</div>
					</div>
				</div>
				<div class="card mb-4 box-shadow">
					<img class="card-img-top" data-src="holder.js/100px225?theme=thumb&bg=55595c&fg=eceeef&text=Exemple" alt="thumbnail [100X225]" style="height: 225px; width: 100%; display: block;" src="data:image/svg+xml;charset=UTF-8,%3Csvg%20width%3D%22208%22%20height%3D%22225%22%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%20viewBox%3D%220%200%20208%20225%22%20preserveAspectRatio%3D%22none%22%3E%3Cdefs%3E%3Cstyle%20type%3D%22text%2Fcss%22%3E%23holder_16bfa2e4546%20text%20%7B%20fill%3A%23eceeef%3Bfont-weight%3Abold%3Bfont-family%3AArial%2C%20Helvetica%2C%20Open%20Sans%2C%20sans-serif%2C%20monospace%3Bfont-size%3A11pt%20%7D%20%3C%2Fstyle%3E%3C%2Fdefs%3E%3Cg%20id%3D%22holder_16bfa2e4546%22%3E%3Crect%20width%3D%22208%22%20height%3D%22225%22%20fill%3D%22%2355595c%22%3E%3C%2Frect%3E%3Cg%3E%3Ctext%20x%3D%2265.5%22%20y%3D%22117.3%22%3EThumbnail%3C%2Ftext%3E%3C%2Fg%3E%3C%2Fg%3E%3C%2Fsvg%3E" data-holder-rendered="true">
					<div class="h-20 card-body text-center">
						<p class="card-text"> Programmation des enregistrements. Je ne sais pas encore ce que je vais mettre ici mais ca sera là"</p>
						<div class="d-inline-flex justify-content-between align-items-center btn-group">
							<button id="param_acq" class="verif btn btn-sm btn-outline-secondary" type="button" data-toggle="modal" data-target="#retour_verif">Démarrer</button>
						</div>
					</div>
				</div>
			</div>
			<div class="col-md-4">
				<div class="card mb-4 box-shadow">
					<img class="card-img-top" data-src="holder.js/100px225?theme=thumb&bg=55595c&fg=eceeef&text=Exemple" alt="thumbnail [100X225]" style="height: 225px; width: 100%; display: block;" src="data:image/svg+xml;charset=UTF-8,%3Csvg%20width%3D%22208%22%20height%3D%22225%22%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%20viewBox%3D%220%200%20208%20225%22%20preserveAspectRatio%3D%22none%22%3E%3Cdefs%3E%3Cstyle%20type%3D%22text%2Fcss%22%3E%23holder_16bfa2e4546%20text%20%7B%20fill%3A%23eceeef%3Bfont-weight%3Abold%3Bfont-family%3AArial%2C%20Helvetica%2C%20Open%20Sans%2C%20sans-serif%2C%20monospace%3Bfont-size%3A11pt%20%7D%20%3C%2Fstyle%3E%3C%2Fdefs%3E%3Cg%20id%3D%22holder_16bfa2e4546%22%3E%3Crect%20width%3D%22208%22%20height%3D%22225%22%20fill%3D%22%2355595c%22%3E%3C%2Frect%3E%3Cg%3E%3Ctext%20x%3D%2265.5%22%20y%3D%22117.3%22%3EThumbnail%3C%2Ftext%3E%3C%2Fg%3E%3C%2Fg%3E%3C%2Fsvg%3E" data-holder-rendered="true">
					<div class="h-20 card-body text-center">
						<p class="card-text"> Calcul de la dérive d'horloge. Je ne sais pas encore ce que je vais mettre ici mais ca sera là"</p>
						<div class="d-inline-flex justify-content-between align-items-center btn-group">
							<button id="verif_derive" class="verif btn btn-sm btn-outline-secondary" type="button" data-toggle="modal" data-target="#retour_verif">Démarrer</button>
						</div>
					</div>
				</div>
				<div class="card mb-4 box-shadow">
					<img class="card-img-top" data-src="holder.js/100px225?theme=thumb&bg=55595c&fg=eceeef&text=Exemple" alt="thumbnail [100X225]" style="height: 225px; width: 100%; display: block;" src="data:image/svg+xml;charset=UTF-8,%3Csvg%20width%3D%22208%22%20height%3D%22225%22%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%20viewBox%3D%220%200%20208%20225%22%20preserveAspectRatio%3D%22none%22%3E%3Cdefs%3E%3Cstyle%20type%3D%22text%2Fcss%22%3E%23holder_16bfa2e4546%20text%20%7B%20fill%3A%23eceeef%3Bfont-weight%3Abold%3Bfont-family%3AArial%2C%20Helvetica%2C%20Open%20Sans%2C%20sans-serif%2C%20monospace%3Bfont-size%3A11pt%20%7D%20%3C%2Fstyle%3E%3C%2Fdefs%3E%3Cg%20id%3D%22holder_16bfa2e4546%22%3E%3Crect%20width%3D%22208%22%20height%3D%22225%22%20fill%3D%22%2355595c%22%3E%3C%2Frect%3E%3Cg%3E%3Ctext%20x%3D%2265.5%22%20y%3D%22117.3%22%3EThumbnail%3C%2Ftext%3E%3C%2Fg%3E%3C%2Fg%3E%3C%2Fsvg%3E" data-holder-rendered="true">
					<div class="h-20 card-body text-center">
						<p class="card-text"> Informations systèmes. Je ne sais pas encore ce que je vais mettre ici mais ca sera là"</p>
						<div class="d-inline-flex justify-content-between align-items-center btn-group">
							<button id="info_sys" class="verif btn btn-sm btn-outline-secondary" type="button" data-toggle="modal" data-target="#retour_verif">Démarrer</button>
						</div>
					</div>
				</div>
				<div class="card mb-4 box-shadow">
					<img class="card-img-top" data-src="holder.js/100px225?theme=thumb&bg=55595c&fg=eceeef&text=Exemple" alt="thumbnail [100X225]" style="height: 225px; width: 100%; display: block;" src="data:image/svg+xml;charset=UTF-8,%3Csvg%20width%3D%22208%22%20height%3D%22225%22%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%20viewBox%3D%220%200%20208%20225%22%20preserveAspectRatio%3D%22none%22%3E%3Cdefs%3E%3Cstyle%20type%3D%22text%2Fcss%22%3E%23holder_16bfa2e4546%20text%20%7B%20fill%3A%23eceeef%3Bfont-weight%3Abold%3Bfont-family%3AArial%2C%20Helvetica%2C%20Open%20Sans%2C%20sans-serif%2C%20monospace%3Bfont-size%3A11pt%20%7D%20%3C%2Fstyle%3E%3C%2Fdefs%3E%3Cg%20id%3D%22holder_16bfa2e4546%22%3E%3Crect%20width%3D%22208%22%20height%3D%22225%22%20fill%3D%22%2355595c%22%3E%3C%2Frect%3E%3Cg%3E%3Ctext%20x%3D%2265.5%22%20y%3D%22117.3%22%3EThumbnail%3C%2Ftext%3E%3C%2Fg%3E%3C%2Fg%3E%3C%2Fsvg%3E" data-holder-rendered="true">
					<div class="h-20 card-body text-center">
						<p class="card-text"> Récupération des datas. Je ne sais pas encore ce que je vais mettre ici mais ca sera là"</p>
						<div class="d-inline-flex justify-content-between align-items-center btn-group">
							<button id="recup_data" class="verif btn btn-sm btn-outline-secondary" type="button" data-toggle="modal" data-target="#retour_verif">Démarrer</button>
						</div>
					</div>
				</div>
			</div>
			-->
		</div>
<!--	</div> -->
	
</div>
<div class="modal fade" id="retour_verif" tabindex="-1" role="dialog" aria-labelledby="retour_verif_label" aria-hidden="true">
	<div class="modal-dialog" role="document">
		<div class="modal-content">
			<div class="modal-header">
				<h5 class="modal-title" id="retour_verif_label">Ordre effectué</h5>
				<button type="button" class="close" data-dismiss="modal" aria-label="Close">
					<span aria-hidden="true">&times;</span>
				</button>
			</div>
			<div id="text_modal" class="modal-body">
			...
			</div>
			<div class="modal-footer">
			<button id="valid_form" type="button" class="btn btn-primary" data-dismiss="modal">Fermer</button>
			</div>
		</div>
	</div>
</div>

<script>
	
	////////////
	
	
	(function() {
'use strict';
window.addEventListener('load', function() {
// Fetch all the forms we want to apply custom Bootstrap validation styles to
var forms = document.getElementsByClassName('needs-validation');
// Loop over them and prevent submission
var validation = Array.prototype.filter.call(forms, function(form) {
form.addEventListener('submit', function(event) {
if (form.checkValidity() === false) {
event.preventDefault();
event.stopPropagation();
}
form.classList.add('was-validated');
}, false);
});
}, false);
})();
	
	
	
	
	
	
	
	
	//////////////
	
	
	function ValidateForm() {

		var formInvalid = false;
		$('#register_form input').each(function() {
			if ($(this).val() === '') {
				formInvalid = true;
			}
		});

		if (formInvalid)
			alert('One or Two fields are empty. Please fill up all fields');
	}
	
	
	$(function () {

		var val_freqs=[];		

		var frequencies = [{{data.freq}}];
		var gains =[{{data.gain}}];
		var taille = {{data.freq.length}};
		console.log(taille);
		console.log(frequencies);
		console.log(gains);

		var nbr = frequencies.length / taille;
		console.log("taille "+nbr);


		for(var k = 0;k<taille;k++){
			let options = '<option value="" disabled="" selected="">Frequence d\'échantillonage (Hz)</option>';

			for(var j=0;j<nbr;j++){
				console.log(k*(taille+1)+j);
				options+='<option value="'+j+'">'+frequencies[k*(taille+1)+j]+'</option>';
			}
			val_freqs.push(options);
		}

		console.log(val_freqs);

		var gains =[{{data.gain}}];
		var opt ='';
		for(var z=0;z<gains.length;z++){
			opt+='<option value="'+z+'">'+gains[z]+'</option>';
		}

		console.log(opt);



		$("select[name='strap']").change(function() {
			let temp = parseInt(this.value);
			console.log("changement echantillon");
			console.log(this.value);
			console.log(typeof(this.value));
			console.log(parseInt(this.value));

			$("select[name='echantillon']").html(val_freqs[this.value]);

/*			switch(temp){
				case 0:
					console.log("Premier choix");

					$("select[name='echantillon']").append($('<option>',{
						value:0,
						text:'500'
					}));

					$("select[name='echantillon']").append($('<option>',{
						value:1,
						text:'250'
					}));

					$("select[name='echantillon']").append($('<option>',{
						value:2,
						text:'125'
					}));

					$("select[name='echantillon']").append($('<option>',{
						value:3,
						text:'62.5'
					}));

					$("select[name='echantillon']").append($('<option>',{
						value:4,
						text:'31.25'
					}));

					break;
				case 1:
					console.log("Second choix");

					$("select[name='echantillon']").append($('<option>',{
						value:0,
						text:'800'
					}));

					$("select[name='echantillon']").append($('<option>',{
						value:1,
						text:'400'
					}));

					$("select[name='echantillon']").append($('<option>',{
						value:2,
						text:'200'
					}));

					$("select[name='echantillon']").append($('<option>',{
						value:3,
						text:'100'
					}));

					$("select[name='echantillon']").append($('<option>',{
						value:4,
						text:'50'
					}));

					break;
				case 2:
					console.log("Troisieme choix");

					$("select[name='echantillon']").append($('<option>',{
						value:0,
						text:'1000'
					}));

					$("select[name='echantillon']").append($('<option>',{
						value:1,
						text:'500'
					}));

					$("select[name='echantillon']").append($('<option>',{
						value:2,
						text:'250'
					}));

					$("select[name='echantillon']").append($('<option>',{
						value:3,
						text:'125'
					}));

					$("select[name='echantillon']").append($('<option>',{
						value:4,
						text:'62.5'
					}));

					break;
				case 3:

					console.log("Quatrieme choix");
					$("select[name='echantillon']").append($('<option>',{
						value:0,
						text:'1600'
					}));

					$("select[name='echantillon']").append($('<option>',{
						value:1,
						text:'800'
					}));

					$("select[name='echantillon']").append($('<option>',{
						value:2,
						text:'400'
					}));

					$("select[name='echantillon']").append($('<option>',{
						value:3,
						text:'200'
					}));

					$("select[name='echantillon']").append($('<option>',{
						value:4,
						text:'100'
					}));

					break;
				default:
					console.log("Dernier choix");
					break;
			}
*/				

		});


		$("#changement").change(function() {
			console.log(this)
			var select=''

			for(var i=0;i<parseInt(this.value)+1;i++){
				select += '<div class ="col"><select name="channeli'+i+'" class="browser-default custom-select" required><option value="" disabled selected>Chan '+(i+1)+'</option>'+opt+'</select></div>'
			}
			$('#dynamic').html(select)

			console.log("changement de value")
			console.log(this.value)
		});


		$("#valid_form").click(function() {
			ValidateForm();
		});


		var tmp;
		var tmp_seuil_id;
		var tmp_seuil_type;


		socket.on('retour_ver',function(msg){
			console.log("on a bien recu le retour du serveru"+msg);
		});
		
		
		$("#valid_form").click(function() {
			ValidateForm();
		});
		
		 
		$('.verif').click(function(e) {
			e.stopPropagation();
			if (window.confirm("Etes vous sur d'executer cet ordre?")) {
				console.log("activé "+this.id);
				//$('#text_modal').val('rajouté par JS: '+this.id);
				console.log(this.id.split("_")[0]);

				if(this.id.split("_")[0] == "verif"){
					console.log("il s'agit d'une verif");


					if($.isNumeric($('#'+this.id+'-bas').val()) && $.isNumeric($('#'+this.id+'-haut').val()) ) {
						console.log("Parametres rentres");
								
						socket.emit("verif", {id: this.id, seuil_b: $('#'+this.id+'-bas').val(), seuil_h: $('#'+this.id+'-haut').val()});

					}
					else {
						console.log("Aucun parametres rentres");
						socket.emit("verif",{id: this.id});
					} 
					
				}		
	
				else if(this.id.split("_")[0] == "param") {
						console.log("il s'agit d'une param");
						socket.emit("verif", {id: this.id});
				}
				else {
					console.log("ce n'est pas une verif");
					socket.emit("verif",{id: this.id});
				}


				$('#text_modal').html('<span class="spinner-border spinner-border-sm" role="status" aria-hidden="true"></span>');
				$('#retour_verif').modal('toggle');
//				$(this).html('<span class="spinner-border spinner-border-sm" role="status" aria-hidden="true"></span>');		       
			}
		});


	});
</script>


